Bug 131150 - kernel fails to initialise software RAID partitions
kernel fails to initialise software RAID partitions
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 131152 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-27 18:58 EDT by Alin Osan
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alin Osan 2004-08-27 18:58:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Kernels above kernel-2.6.7-1.515 fails to initialise software RAID
partitions with the following error:

raindautorun: failed to open /dev/md0: 2
raindautorun: failed to open /dev/md1: 2
raindautorun: failed to open /dev/md2: 2
raindautorun: failed to open /dev/md3: 2

My /etc/fstab looks like this:

/dev/md3                /                       ext3    defaults     
  1 1
/dev/md0                /boot                   ext3    defaults     
  1 2
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
/dev/md1                /home                   ext3    defaults     
  1 2
/dev/md2                /misc                   ext3    defaults     
  1 2
none                    /proc                   proc    defaults     
  0 0
none                    /sys                    sysfs   defaults     
  0 0
/dev/hdb6               swap                    swap    defaults     
  0 0
/dev/hda6               swap                    swap    defaults     
  0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,user,owner,kudzu,ro 0 0
/dev/dvd             /mnt/dvd             udf,iso9660
noauto,owner,user,kudzu,ro 0 0
/dev/sda1              /mnt/rack              auto      defaults     
   0 0


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.526

How reproducible:
Always

Steps to Reproduce:
1. boot any kernel above kernel-2.6.7-1.515
    

Actual Results:  systems fails to boot

Expected Results:  running system

Additional info:

The system has two identical hdd, with RAID1 and RAID0 partitions.
Comment 1 Bill Nottingham 2004-08-27 19:00:12 EDT
*** Bug 131152 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-07-15 14:41:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:00:42 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.